summaryrefslogtreecommitdiff
path: root/Master/bin/amd64-freebsd/mktexlsr
diff options
context:
space:
mode:
Diffstat (limited to 'Master/bin/amd64-freebsd/mktexlsr')
-rwxr-xr-xMaster/bin/amd64-freebsd/mktexlsr17
1 files changed, 12 insertions, 5 deletions
diff --git a/Master/bin/amd64-freebsd/mktexlsr b/Master/bin/amd64-freebsd/mktexlsr
index abb5d05b349..d0b77417835 100755
--- a/Master/bin/amd64-freebsd/mktexlsr
+++ b/Master/bin/amd64-freebsd/mktexlsr
@@ -7,12 +7,12 @@
# Suitable for calling from cron, as in:
# 0 * * * * cd /your/texmf/root && /usr/local/texlive/bin/mktexlsr
#
-# Originally written as `texhash' by Thomas Esser
-# <te@dbs.uni-hannover.de>, Okt., 1994.
+# Originally written as `texhash' by Thomas Esser, Okt., 1994.
# Public domain.
-version='$Id: mktexlsr 31723 2013-09-21 22:43:41Z karl $'
+version='$Id: mktexlsr 36626 2015-03-25 22:51:45Z karl $'
progname=`echo $0 | sed 's%.*/%%'`
+
usage="Usage: $progname [OPTION]... [DIR]...
Rebuild ls-R filename databases used by TeX. If one or more arguments
@@ -33,9 +33,16 @@ If standard input is a terminal, --verbose is on by default.
For more information, see the \`Filename database' section of
Kpathsea manual available at http://tug.org/kpathsea.
-Report bugs to tex-k@tug.org.
+Report bugs to: tex-k@tug.org
+TeX Live home page: <http://tug.org/texlive/>
"
+# The simple PATH-prepending approach we take in other scripts doesn't
+# handle DOS/Windows, but we don't use the shell scripts on Windows
+# anyway, and does anyone want current TL on DOS or DJGPP? Maybe they
+# can maintain their own changes if so. Leaving this code though, since
+# it's always been here ...
+
# MS-DOS and MS-Windows define $COMSPEC or $ComSpec and use `;' to separate
# directories in path lists whereas Unix uses `:'. Make an exception for
# Cygwin, which pretends to be UNIX.
@@ -66,7 +73,7 @@ if tty -s; then verbose=true; else verbose=false; fi
dry_run=false
trees=
-treefile="${TMPDIR-/tmp}/mktexlsrtrees$$.tmp"
+treefile=`mktemp --tmpdir mktexlsrtrees.XXXXXXXXXX` || exit 1
trap 'cd /; rm -f $treefile; test -z "$db_dir_tmp" || rm -rf "$db_dir_tmp";
exit' 0 1 2 3 7 13 15